Name:           libgii
Version:        1.0.2
Release:        6%{?dist}
Summary:        Input library for GGI

Group:          System Environment/Libraries
License:        BSD and MIT
URL:            http://www.ggi-project.org/packages/libgii.html
Source0:        http://www.ggi-project.org/ftp/ggi/v2.2/libgii-%{version}.src.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if %{_lib}=="lib64"
BuildRequires:  autoconf >= 2.59
BuildRequires:  automake >= 1.9.6
%endif
BuildRequires:  aalib-devel
BuildRequires:  pth-devel
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  libXxf86dga-devel

%description
LibGII is based on the concept of input streams, which virtualize access
to the underlying input drivers. Events from various input devices are
abstracted into easy-to-use structures. LibGII also allows the application to
join streams together, receiving input from an arbitrary combination of
devices. LibGII is a separate component from LibGGI, although LibGGI
depends on LibGII for input purposes.


%package        utils
Summary:        Utilities for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description    utils
LibGII is based on the concept of input streams, which virtualize access
to the underlying input drivers. Events from various input devices are
abstracted into easy-to-use structures. LibGII also allows the application to
join streams together, receiving input from an arbitrary combination of
devices. LibGII is a separate component from LibGGI, although LibGGI
depends on LibGII for input purposes.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%if %{_lib}=="lib64"
install -pm 0644 libgii.conf.in lib64gii.conf.in
sed -i -e 's|libgii.conf|lib64gii.conf|g' Makefile.am configure.in
sh autogen.sh
%endif



%build
%configure \
  --disable-static \
  --enable-pcjoy \
  --enable-lk201 \
  --enable-kii \
  --enable-mutexes=pthread
  
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog FAQ NEWS README
#Under MIT
%{_libdir}/*.so.*
%{_libdir}/ggi/
%dir %{_sysconfdir}/ggi
%config(noreplace) %{_sysconfdir}/ggi/%{_lib}gii.conf
%dir %{_sysconfdir}/ggi/filter
%config(noreplace) %{_sysconfdir}/ggi/filter/keytrans
%config(noreplace) %{_sysconfdir}/ggi/filter/mouse

%files utils
%defattr(-,root,root,-)
#Under BSD
%{_bindir}/*
%exclude %{_mandir}/man3/*
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/ggi/
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Thu Mar  6 2008 kwizart < kwizart at gmail.com > - 1.0.2-6
- Fix multilib problem #342121

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.2-5
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 kwizart < kwizart at gmail.com > - 1.0.2-4
- Fix License (mistaken from the original spec file)
- Drop svgalib-devel (not relevant in libgii )

* Thu Jul  6 2007 kwizart < kwizart at gmail.com > - 1.0.2-3
- Use the full package name for sub-packages.

* Tue Jun 19 2007 kwizart < kwizart at gmail.com > - 1.0.2-2
- Uses sub package utils (multilib)
- Move man3 to -devel
- Uses --enable-mutexes=pthread

* Mon May  7 2007 kwizart < kwizart at gmail.com > - 1.0.2-1
- Intial spec file for Fedora 

* Wed Aug 22 2001 Thayne Harbaugh <thayne@plug.org>
- added missing man9 and TODO files

* Mon Jul 02 2001 Thayne Harbaugh <thayne@plug.org>
- initial libgii.spec
